--- Makefile.orig	2008-02-14 13:39:18.000000000 +0100
+++ Makefile	2009-02-18 02:31:13.000000000 +0100
@@ -25,7 +25,7 @@ CFLAGS=-Wall -Winline -O2 -g $(BIGFILES)
 
 # Where you want it installed when you do 'make install'
 PREFIX=/usr/local
-
+MANDIR=$(PREFIX)/share/man
 
 OBJS= blocksort.o  \
       huffman.o    \
@@ -72,8 +72,8 @@ test: bzip2
 install: bzip2 bzip2recover
 	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
 	if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
-	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
-	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
+	if ( test ! -d $(MANDIR) ) ; then mkdir -p $(MANDIR) ; fi
+	if ( test ! -d $(MANDIR)/man1 ) ; then mkdir -p $(MANDIR)/man1 ; fi
 	if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
 	cp -f bzip2 $(PREFIX)/bin/bzip2
 	cp -f bzip2 $(PREFIX)/bin/bunzip2
@@ -83,31 +83,30 @@ install: bzip2 bzip2recover
 	chmod a+x $(PREFIX)/bin/bunzip2
 	chmod a+x $(PREFIX)/bin/bzcat
 	chmod a+x $(PREFIX)/bin/bzip2recover
-	cp -f bzip2.1 $(PREFIX)/man/man1
-	chmod a+r $(PREFIX)/man/man1/bzip2.1
+	cp -f bzip2.1 $(MANDIR)/man1
+	chmod a+r $(MANDIR)/man1/bzip2.1
 	cp -f bzlib.h $(PREFIX)/include
 	chmod a+r $(PREFIX)/include/bzlib.h
 	cp -f libbz2.a $(PREFIX)/lib
-	chmod a+r $(PREFIX)/lib/libbz2.a
+	cp -a libbz2.so* $(PREFIX)/lib
+	#chmod a+r $(PREFIX)/lib/libbz2.*
 	cp -f bzgrep $(PREFIX)/bin/bzgrep
-	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
-	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
+	cd $(PREFIX)/bin && ln -s bzgrep bzegrep && ln -s bzgrep bzfgrep
 	chmod a+x $(PREFIX)/bin/bzgrep
 	cp -f bzmore $(PREFIX)/bin/bzmore
-	ln -s -f $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
+	cd $(PREFIX)/bin && ln -s bzmore bzless
 	chmod a+x $(PREFIX)/bin/bzmore
 	cp -f bzdiff $(PREFIX)/bin/bzdiff
-	ln -s -f $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
+	cd $(PREFIX)/bin && ln -s bzdiff bzcmp
 	chmod a+x $(PREFIX)/bin/bzdiff
-	cp -f bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
-	chmod a+r $(PREFIX)/man/man1/bzgrep.1
-	chmod a+r $(PREFIX)/man/man1/bzmore.1
-	chmod a+r $(PREFIX)/man/man1/bzdiff.1
-	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
-	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
-	echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
-	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1
-
+	cp -f bzgrep.1 bzmore.1 bzdiff.1 $(MANDIR)/man1
+	chmod a+r $(MANDIR)/man1/bzgrep.1
+	chmod a+r $(MANDIR)/man1/bzmore.1
+	chmod a+r $(MANDIR)/man1/bzdiff.1
+	echo ".so man1/bzgrep.1" > $(MANDIR)/man1/bzegrep.1
+	echo ".so man1/bzgrep.1" > $(MANDIR)/man1/bzfgrep.1
+	echo ".so man1/bzmore.1" > $(MANDIR)/man1/bzless.1
+	echo ".so man1/bzdiff.1" > $(MANDIR)/man1/bzcmp.1
 clean: 
 	rm -f *.o libbz2.a bzip2 bzip2recover \
 	sample1.rb2 sample2.rb2 sample3.rb2 \
